<header title="Chat list" [checkPage]='true'></header>

<ion-content>
  <div *ngIf="isCheck == true">
    <ion-row class="ion_row">
      <ion-col size="9">
        <ion-searchbar type="text" debounce="500" [(ngModel)]="search_value" (ionChange)="setFilteredItems($event,1)"
          (ionClear)="claerSearcher()"></ion-searchbar>
      </ion-col>
      <ion-col size="3">
        <p class="p_style">Sort by</p>
        <ion-select class="ion_select" interface="popover" [(ngModel)]="sortBy" (ionChange)="sortFunction(sortBy)">
          <ion-select-option value="n">Newest</ion-select-option>
          <ion-select-option value="o">Oldest</ion-select-option>
        </ion-select>
      </ion-col>
    </ion-row>
    <div *ngFor="let chat of chatList">
      <ion-item class="item-text-wrap" lines="none" (click)="goToChat(chat.contactnumber,chat.firstname,chat.lastname)">
        <ion-avatar slot="" item-start>
          <img src="{{chat.avimage || avatar_url}}">
        </ion-avatar>
        <ion-label class="sc-ion-label-ios-h sc-ion-label-ios-s ios hydrated">
          <ion-row>
            <ion-col size="8">
              <h2>
                {{chat.firstname}} {{chat.lastname}}
              </h2>
              <!-- <div class="overFlow_hidden">
              <span *ngFor="let userData of user; let j=index">{{userData?.user?.first_name}}<span
                  *ngIf="user.length != (j+1)">, </span></span>
            </div> -->

              <p>{{chat.lastmessagetext}}</p>
            </ion-col>
            <ion-col size="4" class="col_bagde_style">
              <span>{{chat.lastmessagetime}}</span>
              <!-- <ion-bagde>1</ion-bagde> -->
            </ion-col>
          </ion-row>
        </ion-label>
      </ion-item>
      <hr>
    </div>
  </div>
  <!-- ///////////////////////////////////////   TWILIO  //////////////////////////// -->
  <div *ngIf="isCheck == false" class="twilio">
    <ion-grid>
      <ion-row>
        <ion-col>
          <ion-label>
            Set up account at twilio.com and follow instruction document
          </ion-label>
        </ion-col>
      </ion-row>
      <ion-card>
        <ion-row>
          <ion-col>
            <h5>
              Need help <ion-icon name="help-circle-outline"></ion-icon>
            </h5>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <ion-button class="pdf" expand="block" (click)="openImage()">
              Text Instructions
            </ion-button>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <ion-button class="video" expand="block" (click)="playVideo()">
              Video Tutorial
            </ion-button>
          </ion-col>
        </ion-row>
      </ion-card>
    </ion-grid>
    <ion-item>
      <ion-label position="floating">Account SID</ion-label>
      <ion-input [(ngModel)]="account_SID"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Auth Token</ion-label>
      <ion-input [(ngModel)]="auth_Token"></ion-input>
    </ion-item>
    <ion-item class="padding_top">
      <ion-label>+1</ion-label>
      <ion-input [(ngModel)]="twilio_Number" placeholder="10 digits Twilio number e.g 4124388691"
        (keyup)="onKeyUp($event)" type="tel" minlength="10" maxlength="10"></ion-input>
    </ion-item>
    <ion-grid>
      <ion-row>
        <ion-col>
          <ion-button expand="block" (click)="update()">
            Update
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>
  <!-- ​REFRESHER -->
  <ion-refresher *ngIf="isCheck == true" slot="fixed" (ionRefresh)="refreshDataList($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
</ion-content>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>